me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage

## Class StorageHitbox

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.base.storage.StorageHitbox

    public class StorageHitbox
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`StorageHitbox()`
`StorageHitbox(java.lang.Double length, java.lang.Double width, java.lang.Double height)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Double` `getHeight()` Hit box height
`java.lang.Double` `getLength()` Hit box length
`java.lang.Double` `getWidth()` Hit box width
`void` `setHeight(java.lang.Double height)` Hit box height
`void` `setLength(java.lang.Double length)` Hit box length
`void` `setWidth(java.lang.Double width)` Hit box width

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### StorageHitbox

    public StorageHitbox(java.lang.Double length,
                         java.lang.Double width,
                         java.lang.Double height)

#### StorageHitbox

    public StorageHitbox()

### Method Detail

#### getLength

    public java.lang.Double getLength()

Hit box length

#### getWidth

    public java.lang.Double getWidth()

Hit box width

#### getHeight

    public java.lang.Double getHeight()

Hit box height

#### setLength

    public void setLength(java.lang.Double length)

Hit box length

#### setWidth

    public void setWidth(java.lang.Double width)

Hit box width

#### setHeight

    public void setHeight(java.lang.Double height)

Hit box height